## Types Types — Clutter-Gst common types. |

## Functions

gfloat | clutter_gst_box_get_width ()
gfloat | clutter_gst_box_get_height ()

## Types and Values

enum | ClutterGstBufferingMode
enum | ClutterGstSeekFlags
struct | ClutterGstBox
struct | ClutterGstFrame
struct | ClutterGstOverlay
struct | ClutterGstOverlays
struct | ClutterGstVideoResolution

## Object Hierarchy

        GBoxed
        ├── ClutterGstBox
        ├── ClutterGstFrame
        ├── ClutterGstOverlay
        ╰── ClutterGstOverlays
        GEnum
        ╰── ClutterGstBufferingMode
        GFlags
        ╰── ClutterGstSeekFlags

## Description

## Functions

### clutter_gst_box_get_width ()

    gfloat
    clutter_gst_box_get_width (const ClutterGstBox *box);

Retrieves the width of the `box`

#### Parameters

box | a ClutterGstBox |

#### Returns

the width of the box

Since: 3.0

### clutter_gst_box_get_height ()

    gfloat
    clutter_gst_box_get_height (const ClutterGstBox *box);

Retrieves the height of the `box`

#### Parameters

box | a ClutterGstBox |

#### Returns

the height of the box

Since: 3.0

## Types and Values

### enum ClutterGstBufferingMode

Different buffering policies clutter-gst supports

#### Members

CLUTTER_GST_BUFFERING_MODE_STREAM | In-memory buffering |
CLUTTER_GST_BUFFERING_MODE_DOWNLOAD | On-disk buffering |

Since: 1.4

### enum ClutterGstSeekFlags

Flags that can be given to `clutter_gst_player_set_seek_flags()`.

#### Members

CLUTTER_GST_SEEK_FLAG_NONE | Fast seeks (key frame boundaries, default) |
CLUTTER_GST_SEEK_FLAG_ACCURATE | Accurate seeks (potentially slower) |

Since: 1.4

### struct ClutterGstBox

    struct ClutterGstBox {
      gfloat x1;
      gfloat y1;

      gfloat x2;
      gfloat y2;
    };

Bounding box of an area in a video texture or actor's allocation. Coordinates are usually expressed in the [0, 1] interval.

#### Members

gfloat `x1`; | X coordinate of the top left corner |
gfloat `y1`; | Y coordinate of the top left corner |
gfloat `x2`; | X coordinate of the bottom right corner |
gfloat `y2`; | Y coordinate of the bottom right corner |

Since: 3.0

### struct ClutterGstFrame

    struct ClutterGstFrame {
      ClutterGstVideoResolution  resolution;
      CoglPipeline              *pipeline;
    };

Represents a frame outputted by the ClutterGstVideoSink.

#### Members

ClutterGstVideoResolution `resolution`; | a ClutterGstVideoResolution |
CoglPipeline *`pipeline`; | a CoglPipeline to paint a frame |

Since: 3.0

### struct ClutterGstOverlay

    struct ClutterGstOverlay {
      ClutterGstBox  position;
      CoglPipeline  *pipeline;
    };

Represents a video overlay outputted by the ClutterGstVideoSink.

#### Members

ClutterGstBox `position`; | a ClutterGstBox representing the position of the overlay within a ClutterGstFrame. |
CoglPipeline *`pipeline`; | a CoglPipeline to paint an overlay |

Since: 3.0

### struct ClutterGstOverlays

    struct ClutterGstOverlays {
      GPtrArray *overlays;
    };

#### Members

GPtrArray *`overlays`; | an array of ClutterGstOverlay |

Since: 3.0

### struct ClutterGstVideoResolution

    struct ClutterGstVideoResolution {
      gint width;
      gint height;

      gint par_n;
      gint par_d;
    };

A video resolution.

#### Members

gint `width`; | the width, in pixels |
gint `height`; | the height, in pixels |
gint `par_n`; |  |
gint `par_d`; |  |

Since: 3.0